jonchua
  • 0
Новичок

Нужна помощь в расшифровке сообщений об ошибках и предупреждений

  • 0

Я относительно новый пользователь WordPress, обычно я просто кодирую свои сайты вручную, хотя пытаюсь перейти на CMS. Я установил WordPress в подкаталог ( http://www.iss.guild.uwa.edu.au/wordpress/ ) для тестирования. Время от времени я получал предупреждающие сообщения, как показано ниже, хотя с сегодняшнего дня я начал получать фатальные ошибки. По словам моего администратора сервера, у него установлены PHP 5.2.6 и MySQL 4.1.2. Также это не помогает, использую ли я WordPress 3.1 или WordPress 2.7 (который был установлен кем-то другим некоторое время назад и, похоже, работал)Скриншот фатальной ошибки Скриншот с предупреждением

Share
  1. Плагин Health Check вызывает первую ошибку. Это когда у тебя 2.7? get_transient() был введен только в 2.8, что объясняет его отсутствие.

    Второй сбой — это просто неудачный HTTP-запрос. Это может происходить время от времени (в основном из-за тайм-аутов). Это не должно прерывать нормальное функционирование WordPress (запрос HTTP был сделан пользователем wp-cron.php, который срабатывает как отдельный запрос).

    Очевидный совет;

    • Обновите до 3.1, если вы еще не используете его, прямо сейчас!
    • Обновите все активные плагины
    • Убедитесь, что вы используете довольно регулярно поддерживаемую тему (или, если вы создали ее самостоятельно, убедитесь, что вы используете лучшие практики и удалили вызовы любых устаревших функций ).
    • 0
    • Да, у меня была версия 2.7, потому что мой предшественник сказал мне, что новый WordPress несовместим с сервером, хотя кажется, что версии PHP и MySQL были обновлены. Что касается второго сбоя, считается ли это нормальным, если он происходит каждые 7/10 раз? Я использую WordPress для своего собственного веб-сайта, но я никогда раньше не видел этого предупреждения.

      • 0
    • Нет, не должно быть так часто. Обновление вполне может решить проблему. Ваша настройка кажется вполне подходящей для версии 3.1 (которая по-прежнему поддерживает PHP 4.3).

      • 0
    • На самом деле 7/10 раз было, когда я использовал 3.1. Только что вернулся на 3.1, посмотрим, как пойдет. Спасибо.

      • 0

Оставить ответ

You must login to add an answer.